﻿using System;
using System.Web.UI;

namespace TestProject
{
    /// <summary>
    /// 메인 페이지
    /// </summary>
    public partial class MainPage : Page
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Protected

        #region 페이지 로드시 처리하기 - Page_Load(sender, e)

        /// <summary>
        /// 페이지 로드시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        protected void Page_Load(object sender, EventArgs e)
        {
            if(!String.IsNullOrEmpty(Request.QueryString["Date"]))
            {
                this.messageLabel.Text = Request.QueryString["Date"];
            }
            else
            {
                this.messageLabel.Text = "(없음)";
            }
        }

        #endregion
        #region 달력 선택 변경시 처리하기 - calendar_SelectionChanged(sender, e)

        /// <summary>
        /// 달력 선택 변경시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        protected void calendar_SelectionChanged(object sender, EventArgs e)
        {
            DateTime selectedDate = this.calendar.SelectedDate;

            int year  = selectedDate.Year;
            int month = selectedDate.Month;
            int day   = selectedDate.Day;

            string url = string.Format
            (
                "{3}?Date={0}-{1}-{2}",
                year,
                month,
                day,
                Request.ServerVariables["SCRIPT_NAME"]
            );

            Response.Redirect(url);
        }

        #endregion
    }
}